Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class ThinkAway

    java.lang.Object
      ThinkAway

    public class ThinkAway

extends java.lang.Object

ThinkAway is a main program for reading assignment information. It will take the info and output it in a more student friendly way.

Version:
  1.5
Author:
  Fred Kral

Constructor Summary
`ThinkAway()`

Method Summary
`static java.util.Scanner` | `chooseInput(java.lang.String choice)` chooseInput takes the assignment and course data from user or from a file
`static void` | `main(java.lang.String[] args)` Main main :-)
`static void` | `read()` read can be called from main from any class.
`static void` | `readCourses(java.util.Scanner sc, Person student)` Read courses from a list from a webpage from a person
`static Semester` | `readSemesterInfo(java.lang.String semesterInfoFile)` Read a file with the semester information
`static void` | `testInitial(java.util.Scanner sc)` testInitial reads the input file: Is the beginning of the imput looking good?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThinkAway

    public ThinkAway()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.FileNotFoundException

  Main main :-)

  Throws:
    `java.io.FileNotFoundException`

### read

    public static void read()
                     throws java.io.FileNotFoundException

  read can be called from main from any class. It is the beginning of the program

  Throws:
    `java.io.FileNotFoundException`

### chooseInput

    public static java.util.Scanner chooseInput(java.lang.String choice)
                                         throws java.io.FileNotFoundException

  chooseInput takes the assignment and course data from user or from a file

  Throws:
    `java.io.FileNotFoundException`

### readSemesterInfo

    public static Semester readSemesterInfo(java.lang.String semesterInfoFile)
                                     throws java.io.FileNotFoundException

  Read a file with the semester information

  Throws:
    `java.io.FileNotFoundException`

### testInitial

    public static void testInitial(java.util.Scanner sc)

  testInitial reads the input file: Is the beginning of the imput looking good?

### readCourses

    public static void readCourses(java.util.Scanner sc,
                                   Person student)

  Read courses from a list from a webpage from a person

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD